Reorder global custom field definitions
PATCH
/custom-fields/definitions/global/reorder
const url = 'https://projects.work.optidata.cloud/api/custom-fields/definitions/global/reorder';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"definition_ids":[152,95]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://projects.work.optidata.cloud/api/custom-fields/definitions/global/reorder \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "definition_ids": [ 152, 95 ] }'Persists the display order of the tenant’s global definitions. Restricted to administrators.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
definition_ids
required
Array<integer>
Example
{ "definition_ids": [ 152, 95 ]}Responses
Section titled “Responses”Order saved. No content.
Missing, invalid or expired bearer passport.
Media typeapplication/json
object
error
string
Example
{ "error": "JWT passport exception: Missing bearer token in request"}The authenticated user lacks the required board permission.
Media typeapplication/json
object
message
string
Example
{ "message": "This action is unauthorized."}Validation failed.
Media typeapplication/json
object
message
First validation error message.
string
errors
Map of field name → list of error messages.
object
key
additional properties
Array<string>
Example
{ "message": "The name field is required.", "errors": { "name": [ "The name field is required." ] }}